inkscape (1.4.2-3) unstable; urgency=medium

  * Team upload
  * Depends: python3-tinycss2 instead of python3-tinycss (Closes: #1098976)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:40:08 -0400

inkscape (1.4.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/rules: Tweak i386 flags on all the OSes, not only Linux
  * Backport upstream commit to implement get_program_name() on GNU/Hurd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 22:17:39 -0400

inkscape (1.4.2-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1109328, #1114150)
  * Add Depends: python3-tinycss (Closes: #1098976)
  * Add Depends: python3-cachecontrol (Closes: #1052303, #1073976)
  * Don't require gtksourceview4 on i386 or x32
  * Remove 4 patches applied in new release
  * Cherry-pick patch to fix build against poppler 25.06

  [ Alexandre Detiste ]
  * replace deprecated python appdirs with platformdirs (Closes: #999496)
    (LP: #2028763)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 15:46:32 -0400

inkscape (1.4-6) unstable; urgency=medium

  * Enable Build-Depends: lib2geom-dev for all architectures (Closes: #1089675)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 13:14:34 -0400

inkscape (1.4-5) unstable; urgency=medium

  * Team upload
  * Fix the i386 build
  * Update patch metadata
  * Remove obsolete Python2 era patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 21:52:41 -0400

inkscape (1.4-4) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix build with poppler 25.02 (Closes: #1093308)
  * Add patches to skip new tests failing on some architectures
    since these tests are new to the 1.3/1.4 series
  * Release to unstable (Closes: #1078862)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 20:33:23 -0400

inkscape (1.4-3) experimental; urgency=medium

  * Team upload
  * Backport patches for building against poppler 25.01 (Closes: #1093308)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Jan 2025 12:06:24 -0500

inkscape (1.4-2) experimental; urgency=medium

  * Team upload
  * Remove unused Build-Depends: libgdl-3-dev
  * Don't use ragel or lib2geom on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 11:27:02 -0500

inkscape (1.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.4.
  * Drop B-D libsoup2.4-dev. (Closes: #1073953)
  * Update patch for new version.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 22:59:28 +0000

inkscape (1.3.2-1) experimental; urgency=medium

  * Team upload.

  [ Faidon Liambotis ]
  * New upstream version 1.3.2+ds.
    + https://inkscape.org/news/2023/11/18/big-small-release-inkscape-131-is-out/
    + https://wiki.inkscape.org/wiki/index.php/Release_notes/1.3.1
    + https://inkscape.org/news/2023/12/01/Inkscape-1-3-2-solves-data-loss-bug/
    + https://wiki.inkscape.org/wiki/index.php/Release_notes/1.3.2
  * Backport a patch from upstream to allow building with poppler >= 24.05.0.
  * Refresh all patches.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 21:53:48 +0000

inkscape (1.3+ds-1) experimental; urgency=medium

  * New upstream version 1.3+ds.
    + https://inkscape.org/news/2023/07/23/inkscape-launches-version-13-focus-organizing-work/
    + https://wiki.inkscape.org/wiki/index.php/Release_notes/1.3
  * Add dversionmangle=auto to watchfile, to handle the +ds.
  * Refresh patches, including skipping all tests that locally fail,
    pending investigation.
  * Add new build-dependencies on libboost-stracktrace, libgtksourceview-4.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2023 14:49:51 +0530

inkscape (1.2.2-7) unstable; urgency=medium

  * Team upload
  * Backport patches for building against poppler 25.01 (Closes: #1093308)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Jan 2025 12:06:24 -0500

inkscape (1.2.2-6) unstable; urgency=medium

  * Team upload
  * Don't use ragel or lib2geom on i386
  * Remove unused Build-Depends: libgdl-3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 10:46:14 -0500

inkscape (1.2.2-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Add fonts-dejavu to Build-Depends
  * Add patch to specify Deja Vu Sans font to fix lpetest (Closes: #1050236)

  [ Gianfranco Costamagna ]
  * Cherry-pick patch to fix build with latest libxml2 (Closes: #1073348)
  * Cherry-pick 3 patches to fix build with latest poppler (Closes: #1074460)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Jul 2024 13:29:03 -0400

inkscape (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Work-around issues with float precision on i386

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 May 2024 00:35:07 +0200

inkscape (1.2.2-2) unstable; urgency=medium

  * Add several patches skipping several tests that fail across varying
    architectures.  Closes: #1012496
  * Add a patch skipping the tests regarding librevenge formats, that suddenly
    started failing as well, to be investigated.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Jan 2023 02:09:18 +0100

inkscape (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
    https://inkscape.org/news/2022/12/05/download-inkscape-122/
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.2.2
  * d/control:
    + Bump required version of lib2geom-dev.
    + Bump Stndards-Version to 4.6.2, no changes needed.
  * Add patches for upstream to hopefully make the tests more friendly.
  * Skip 4 tests that are known to fail, but it should be fine. Closes: #1022731

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Dec 2022 22:58:24 +0100

inkscape (1.2.1+ds-1) unstable; urgency=medium

  * New upstream version 1.2.1+ds
    https://inkscape.org/news/2022/07/14/important-release-inkscape-version-121-fixes-data/
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.2.1
    + Repack to remove the embedded copy of cairo.
  * Bump python3-cssselect from Suggests to Recommends, as it is now pulled in
    by many python extensions.  Closes: #1014822

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2022 14:28:31 +0200

inkscape (1.2-1) unstable; urgency=medium

  * New upstream version 1.2
    https://inkscape.org/news/2022/05/16/inkscape-12/
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.2
  * Drop patched applied upstream.
  * d/control:
    + Bump version required of lib2geom.
    + Drop the explicit dependency on libpoppler-glib8 previously
      added as a workaround for #969907 (not fixed, but enough time passed).
    + Add Suggests on python3-(cssselect|packaging), as used by two extension.
    + Bump Standards-Version to 4.6.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2022 16:48:55 +0200

inkscape (1.1.2-3) unstable; urgency=medium

  * Add patch from upstream to fix crash when copying a 3d box without a
    prospective.  Closes: #1001937

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Mar 2022 17:51:02 +0100

inkscape (1.1.2-2) experimental; urgency=medium

  * Make tests fatal on all architectures again, as they seem to
    be passing now.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 19 Feb 2022 18:18:46 +0100

inkscape (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.1.2
  * Drop patch applied upstream.
  * Add patch from upstream to fix a crash when inkscape is run with --batch
    and a gui is not available.  Closes: #997359
  * Add patch to call `python3` instead of `python` when running tests.
  * Add new build-dep on python3-lxml <!nocheck>.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 19 Feb 2022 13:40:23 +0100

inkscape (1.1.1-3) unstable; urgency=medium

  * Apply patch from Jessica Clarke to fix several unaligned access and
    endianess-specific bugs.
  * Drop patch skipping some tests that are now fixed by the above patch.
  * Add patch from upstream to fix build with poppler 21.11.
  * Link against the system-wide lib2geom instead of the embedded copy.
    Don't do that in ubuntu/i386 where it's not available.  Closes: #989606

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Jan 2022 14:01:26 +0100

inkscape (1.1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: add explicit Build-Depends on:
    + libfontconfig-dev: already pulled by something else, but used directly.
    + librsvg2-common: required to run a tests.  Normally this package is also
      pulled in by something, but in some occasion it isn't.  Closes: #994741

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 26 Sep 2021 19:28:41 +0200

inkscape (1.1.1-1) experimental; urgency=medium

  * New upstream version 1.1.1
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.1.1
    + Hide a console warning.  Closes: #990782
  * d/rules: build the tests in parallel.
  * Remove patch applied upstream.
  * Add a patch to disable two failing tests on armhf (known to upstream).

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 23 Sep 2021 13:51:50 +0200

inkscape (1.1-1) experimental; urgency=medium

  * New upstream version 1.1.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.1
    + Fix crash when too many fonts are installed.  Closes: #960036
    + Fix crash when rotating some objects.  Closes: #864415
    + Prevent popups from plugins on copy.  Closes: 553456; LP: #418242
  * Refresh patches.
  * d/watch: Also uversionmangle the pgp signature.
  * d/rules:
    + Drop configure option that is now the default upstream.
    + Drop workaround for something now fixed upstream.
    + Drop special case for buster's dzw.
    + Do a static build of 2geom and statically link inkscape to it.
      This is temporary until I'll package 2geom separately (see #989606),
      to avoid shipping 2geom from src:inkscape.
  * d/control:
    + Add new build-dependency on libgspell-1-dev,
      libboost-filesystem-dev, libreadline-dev, ragel.
    + Drop libxml-xql-perl from Suggests (unused since v0.91).  Closes: #987917

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jun 2021 16:32:57 +0200

inkscape (1.0.2-4) unstable; urgency=medium

  * d/control: Add an explicit dependency on libpoppler-glib8 because we need
    a stricter version than what would otherwise be generated.  See #969907

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 14 Apr 2021 17:27:50 +0200

inkscape (1.0.2-3) unstable; urgency=medium

  * Add a fake version restriction to the imagemagick build-dependency.
    This is a workaround for #413954 in graphicsmagick, that it is lying
    about providing the same imagemagick interface but missing the `compare`
    tool, which is required here.  Adding a version there forces dependency
    resolvers to pick up the real imagemagick, which should fix the test
    failures in kbsd.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Jan 2021 11:23:17 +0100

inkscape (1.0.2-2) unstable; urgency=medium

  * Add a depndency on librsvg2-common as we need it to render the svg icons
    in the gui interface.  Closes: #980396
    Add it only for architectures where librsvg2 is available, also
    Recommends it for all the other architectures that might have it
    somehow.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jan 2021 02:23:52 +0100

inkscape (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0.2
    https://inkscape.org/release/inkscape-1.0.2/
    https://inkscape.org/news/2021/01/17/102-and-11alpha/
  * Drop patches applied upstream.
  * Switch build system from cmake+make to cmake+ninja.
    + Fixes FTBFS with a very high level of parallelism.  Closes: #976935

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Jan 2021 00:40:50 +0100

inkscape (1.0.1-2) unstable; urgency=medium

  * Backport several patches from the upstream stable branch.
    + Fix build with a newer boost.  Closes: #975429
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 Nov 2020 10:55:48 +0100

inkscape (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0.1
    https://inkscape.org/release/inkscape-1.0.1/
    https://inkscape.org/news/2020/09/06/inkscape-version-101-patches-crashes-bugs/
  * Drop patches applied upstream.
  * Add patch to fix a SyntaxWarning in a Python extension.
  * Drop our copy of the bash auto completion, now shipped upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 Sep 2020 16:31:05 +0200

inkscape (1.0-5) unstable; urgency=medium

  * Add patch from upstream to allow users to resize the document property
    dialog again.  Closes: #962185

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 30 Jul 2020 14:37:18 +0200

inkscape (1.0-4) unstable; urgency=medium

  * Add patch from upstream to fix crash using some cursors under Wayland.
    Closes: #965969

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 22 Jul 2020 12:13:47 +0200

inkscape (1.0-3) unstable; urgency=medium

  [ shouhuanxiaoji ]
  * d/rules: Fix typo in dh_missing override.  MR: !2

  [ Mattia Rizzolo ]
  * d/rules: Drop now unneeded dh_missing override.
  * Rebuild against glibmm2.4/2.64.2-2 to pick up the proper versioned
    dependency.  Closes: #964390

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 06 Jul 2020 19:53:49 +0200

inkscape (1.0-2) unstable; urgency=medium

  * d/rules:
    + Don't run dwz when building for buster-backports.
    + Build with -DCMAKE_BUILD_TYPE=Release.  Closes: #960955, #962934

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 24 Jun 2020 18:29:43 +0200

inkscape (1.0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 1.0.  LP: #1876996
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0/
    https://inkscape.org/news/2020/05/04/introducing-inkscape-10/
  * d/watch: Update to point at the new source archive.
  * Update Marc Jeanmougin's upstream gpg key.
  * Refresh patches.
  * Bump debhelper compat level to 13.

  [ Gianfranco Costamagna ]
  * Increase test timeout to 3 minutes instead of 1, to avoid failures when
    a slow machine runs tests (such as riscv64 that is emulated in Ubuntu).

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 07 May 2020 20:57:39 +0200

inkscape (1.0~rc1-4) unstable; urgency=medium

  * d/rules: Fix architecture match, only make the testsuite fata on little
    endian architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:58:01 +0200

inkscape (1.0~rc1-3) unstable; urgency=medium

  * d/rules:
    + Use the correct variable used as cmake's build directory.
    + Only consider the testsuite fatal on amd64 and arm64.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 14:40:49 +0200

inkscape (1.0~rc1-2) unstable; urgency=medium

  * Add a patch to add -latomic to the linker flags when needed.
    This should fix FTBFS in armel, mipsel, m68k and sh4.
  * Run the testsuite at build time, add Build-Dep on imagemagick for that.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 11:58:44 +0200

inkscape (1.0~rc1-1) experimental; urgency=medium

  * New upstream version 1.0~rc1.
    https://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0rc1/

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 13 Apr 2020 17:09:01 +0200

inkscape (1.0~beta2-1) experimental; urgency=medium

  * New upstream version 1.0~beta2.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0beta2/
  * Refresh patches
  * d/rules: now the extensions are properly present in the tarball, drop
    multitarball hack.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 06 Dec 2019 13:07:44 +0100

inkscape (1.0~beta1+ds-2) experimental; urgency=medium

  * Add a patch to make the program icon appear also under Gnome with Wayland.
    Closes: #942600

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Dec 2019 18:21:19 +0100

inkscape (1.0~beta1+ds-1) experimental; urgency=low

  * New upstream version 1.0~beta1.  Closes: #933678
    http://wiki.inkscape.org/wiki/index.php/Release_notes/1.0
    https://inkscape.org/release/inkscape-1.0beta1/
    + Also include the extensions.  Closes: #933688
  * Drop the Drop_PS_and_PDF_support_in_MimeType patch.
    This was added without any real satisfying explanation many years ago,
    and I could figure why anybody would want this.
    Let's stop this unjustified divergence from upstream.
  * Add back Marc Jeanmougin's upstream key.
  * Drop all patches, mostly applied upstream.
  * Move everything from Python2 to Python3.  Closes: #883155; LP: #1735363
    + d/p/python3: Add patch to call python3 instead of python while building.
  * d/control: Update Build-Depends.
  * Bump debhlper compat level to 12.
  * Remove an extension that work only on Windows.  Closes: #930154

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 04 Oct 2019 23:08:14 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog inkscape`.
